#! /bin/bash
#/opt/deploys/install.sh > /tmp/error.txt 2>&1
rm -rf /tmp/.deploy_log/client_log 
rm -rf /tmp/.deploy_log/log_temp.txt
rm -rf /tmp/.deploy_log/result.txt
rm -rf /tmp/.deploy_log/log_server.txt
host=`head -1 /tmp/.deploy_log/hostname.txt`
file=/tmp/log_temp.txt
touch $file
cd /home/${host}/soft
zero="0"
deb_count=`ls -l  *.deb|grep "^-"|wc -l`
if [ $deb_count != $zero ];then
    bash /opt/Deployserver/check_first.sh
    time=$(date)
    mkdir /tmp/.deploy_log/client_log 
#   mkdir /tmp/.deploy_log/client_hardwareinfo -p
    echo $time >> /tmp/.deploy_log/log_temp.txt
    echo "===================================" >> /tmp/.deploy_log/log_temp.txt
    ansible webserver -m shell -a "rm -rf /tmp/soft" >> /tmp/.deploy_log/log_temp.txt
    ansible webserver -m copy -a "src=/home/${host}/soft dest=/tmp/" >> /tmp/.deploy_log/log_temp.txt
    ansible webserver -m shell -a "dpkg -i /tmp/soft/*.deb" >> /tmp/.deploy_log/log_temp.txt
    ansible webserver -m shell -a "bash /opt/deployc/get_status.sh"
#   ansible webserver -m shell -a "bash /opt/deployc/get_hard.sh"
    sleep 5
    ansible webserver -m fetch -a "src=/tmp/log.txt dest=/tmp/.deploy_log/client_log"
#   ansible webserver -m fetch -a "src=/opt/hwinfo/config/hardwareInfo.txt dest=/tmp/.deploy_log/client_hardwareinfo/" 
    bash /opt/Deployserver/check_final.sh
else
    exit 
    echo "Not found deb packages in /home/${host}/soft. You can put some debs to this directory."
fi

